Skip to main content
GET
/
apps
/
{appId}
Get App
curl --request GET \
  --url https://api.vela.dev/v1/apps/{appId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "apiKeyPrefix": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Client secret for management API access. Format: vela_cs_...

Path Parameters

appId
string
required

App UUID or slug

Response

App details

id
string<uuid>

App identifier

accountId
string<uuid>

Associated account

name
string

App display name

slug
string

URL-friendly identifier

apiKeyPrefix
string

Prefix of the current API key

createdAt
string<date-time>
updatedAt
string<date-time>